Skip to content

VirtualMachineInstances Metrics.

POST
/api/data/namespaces/system/site/{site}/namespaces/{namespace}/virtualmachineinstances/metrics
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/site/example/namespaces/example/virtualmachineinstances/metrics \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "metric_selector": [ "VMI_METRIC_TYPE_IN_BYTES" ], "namespace": "example", "site": "example", "start_time": "example" }'

API to GET virtual machine instances metrics for a given namespace in a site.

Examples of this operation.

site
required
string

Site Site name.

namespace
required
string

Namespace Namespace to scope the listing of cronjobs in a site.

Media typeapplication/json
VirtualMachineInstancesMetricsRequest

Request to GET Virtual Machine Instances Metrics.

object
end_time
End time

End time of metric data. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
metric_selector
Metric Selector

Select metrics to be returned in the response.

Required: YES.

Array<string>
Allowed values: VMI_METRIC_TYPE_IN_BYTES VMI_METRIC_TYPE_OUT_BYTES VMI_METRIC_TYPE_IN_DROP_PACKETS VMI_METRIC_TYPE_OUT_DROP_PACKETS VMI_METRIC_TYPE_IN_PACKETS VMI_METRIC_TYPE_OUT_PACKETS
namespace
namespace

Namespace to scope the listing of cronjobs in a site.

string
>= 6 characters <= 1024 characters
site
site

Site name

string
<= 1024 characters
start_time
Start time

Start time of metric data. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters

A successful response.

Media typeapplication/json
VirtualMachineInstancesMetricsResponse

Virtual Machine Instances Metrics Response.

object
data
Data

Data for the metric types specified in the request.

Array<object>
VirtualMachineInstancesMetricData

Virtual Machine Instances Metric Data.

object
data
Data

List of metric data.

Array<object>
VirtualMachineInstancesMetricTypeData

Metric Type Data contains labels that uniquely identifies individual entity and its corresponding metric values.

object
labels
Labels

Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. “name” is the label name defined in “VirtualMachineInstancesMetricLabel”

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: VMI_METRIC_TYPE_IN_BYTES
Allowed values: VMI_METRIC_TYPE_IN_BYTES VMI_METRIC_TYPE_OUT_BYTES VMI_METRIC_TYPE_IN_DROP_PACKETS VMI_METRIC_TYPE_OUT_DROP_PACKETS VMI_METRIC_TYPE_IN_PACKETS VMI_METRIC_TYPE_OUT_PACKETS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
Example
{
"data": [
{
"data": [
{
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "VMI_METRIC_TYPE_IN_BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example